Subject: [PATCH 00/61] gpio: Add and use devm_gpiochip_add_data()

From: [email-masked] (Laxman Dewangan)
Date: Sun, 28 Feb 2016 20:02:02 +0530

On Thursday 25 February 2016 06:54 PM, Linus Walleij wrote:
> On Tue, Feb 23, 2016 at 4:15 PM, Laxman Dewangan <[email-masked]> wrote:
>
>> I have made the repo in git hub as
>>      https://github.com/ldewangan/linux-upstream.git
> Awesome.
>
>> branch name is devm_gpiochip.
>>      https://github.com/ldewangan/linux-upstream/tree/devm_gpiochip
> I've pulled this branch into my tree on a separate branch for
> testing. I pushed the tree to kernel.org so that the zeroday
> autobuilders can have a go at it.

Thanks you very much for taking care.

>
> If everything goes well I plan to merge this for v4.6, then we
> can merge the changes in pin control and other subsystems
> for v4.7.
Yes, once this is there, we can grep all over subsystem and push the change.

I am seeing lots of code reduction on pincontrol driver side once we 
have devm_ for pincontrol register and gpiochip_add_data().

Thanks,
Laxman